org.apache.lucene.benchmark.utils

## Class ExtractWikipedia

- java.lang.Object
- - org.apache.lucene.benchmark.utils.ExtractWikipedia

-     public class ExtractWikipedia
      extends Object

  Extract the downloaded Wikipedia dump into separate files for indexing.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `count`
    `protected DocMaker` | `docMaker`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtractWikipedia(DocMaker docMaker, Path outputDir)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `create(String id, String title, String time, String body)`
    `Path` | `directory(int count, Path directory)`
    `void` | `extract()`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### count

          public static int count

    - #### docMaker

          protected DocMaker docMaker

  - ### Constructor Detail

    - #### ExtractWikipedia

          public ExtractWikipedia(DocMaker docMaker,
                                  Path outputDir)
                           throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### directory

          public Path directory(int count,
                                Path directory)

    - #### create

          public void create(String id,
                             String title,
                             String time,
                             String body)
                      throws IOException

      Throws:
        `IOException`

    - #### extract

          public void extract()
                       throws Exception

      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Throws:
        `Exception`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.